ISCacheManager
Date: 2014-11-12

org.gcube.informationsystem.cache

## Class ISCacheManager

- java.lang.Object
- - org.gcube.informationsystem.cache.ISCacheManager

-     public class ISCacheManager
      extends java.lang.Object

  ISCacheManager class is the initiator and accessor to the ISCache workflow. It initiates the cache object, cache consistency manager MBean and registers them to the JMX server.
  Author:
    UoA

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) static java.util.Hashtable<java.lang.String,ISCacheManager>` | `managers`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISCacheManager(GCUBEScope scope)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `addManager(GCUBEScope scope)`
    `static boolean` | `delManager(GCUBEScope scope)`
    `boolean` | `equals(java.lang.Object o)`
    `ISCache` | `getCache()`
    `ISCacheConsistencyManager` | `getCCM()`
    `static ISCacheManager` | `getManager(GCUBEScope scope)`
    `int` | `hashCode()`
    `static void` | `initialize()`
    `static void` | `main(java.lang.String[] args)` Test main method
    `(package private) void` | `unpublicISCache()`
    `(package private) void` | `unpublicISCacheConsistency()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### managers

          static java.util.Hashtable<java.lang.String,ISCacheManager> managers

  - ### Constructor Detail

    - #### ISCacheManager

          public ISCacheManager(GCUBEScope scope)
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### initialize

          public static void initialize()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### addManager

          public static boolean addManager(GCUBEScope scope)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### getManager

          public static ISCacheManager getManager(GCUBEScope scope)
                                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### delManager

          public static boolean delManager(GCUBEScope scope)
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### unpublicISCache

          void unpublicISCache()
                         throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### unpublicISCacheConsistency

          void unpublicISCacheConsistency()
                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Test main method
      Parameters:
        `args` - main arguments
      Throws:
        `java.lang.Exception` - in case of error

    - #### getCache

          public ISCache getCache()

      Returns:
        the cache

    - #### getCCM

          public ISCacheConsistencyManager getCCM()

      Returns:
        the cache